<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PanelSettingSelection StructType
 * @subpackage Structs
 */
class PanelSettingSelection extends AbstractStructBase
{
    /**
     * The RawValue
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $RawValue;
    /**
     * The DisplayDesc
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $DisplayDesc;
    /**
     * Constructor method for PanelSettingSelection
     * @uses PanelSettingSelection::setRawValue()
     * @uses PanelSettingSelection::setDisplayDesc()
     * @param string $rawValue
     * @param string $displayDesc
     */
    public function __construct($rawValue = null, $displayDesc = null)
    {
        $this
            ->setRawValue($rawValue)
            ->setDisplayDesc($displayDesc);
    }
    /**
     * Get RawValue value
     * @return string|null
     */
    public function getRawValue()
    {
        return $this->RawValue;
    }
    /**
     * Set RawValue value
     * @param string $rawValue
     * @return \CustomerManagement\StructType\PanelSettingSelection
     */
    public function setRawValue($rawValue = null)
    {
        // validation for constraint: string
        if (!is_null($rawValue) && !is_string($rawValue)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($rawValue, true), gettype($rawValue)), __LINE__);
        }
        $this->RawValue = $rawValue;
        return $this;
    }
    /**
     * Get DisplayDesc value
     * @return string|null
     */
    public function getDisplayDesc()
    {
        return $this->DisplayDesc;
    }
    /**
     * Set DisplayDesc value
     * @param string $displayDesc
     * @return \CustomerManagement\StructType\PanelSettingSelection
     */
    public function setDisplayDesc($displayDesc = null)
    {
        // validation for constraint: string
        if (!is_null($displayDesc) && !is_string($displayDesc)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($displayDesc, true), gettype($displayDesc)), __LINE__);
        }
        $this->DisplayDesc = $displayDesc;
        return $this;
    }
}
